### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-card/ecl-card.component.ts`

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-card`
styles | `:host { display: block; }`
templateUrl | `./ecl-card.component.html`

### Index

###### Properties
eclListComponents role
###### Methods
getCssClasses
###### Inputs
isTile class e2eAttr
###### HostBindings
attr.role class
###### Accessors
cssClasses

### Constructor

`constructor(differs: IterableDiffers)`
Parameters :
Name | Type | Optional
differs | `IterableDiffers` | No

### Inputs

isTile
Type : `boolean`
Default value : `false`

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

attr.role
Type : `string`
Default value : `'article'`

class
Type : `any`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

eclListComponents
Type : `QueryList<EclDescriptionListDirective>`
Decorators : `@ContentChildren(undefined, {descendants: true})`

role
Type : `string`
Default value : `'article'`
Decorators : `@HostBinding('attr.role')`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""